Bug 210111 - [bhyve][patch] print list of supported PCI and LPC devices
Summary: [bhyve][patch] print list of supported PCI and LPC devices
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-06-07 17:36 UTC by Roman Bogorodskiy
Modified: 2018-08-23 07:35 UTC (History)
5 users (show)

See Also:


Attachments
proposed patch, v1 (2.65 KB, patch)
2016-06-07 17:36 UTC, Roman Bogorodskiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Bogorodskiy freebsd_committer 2016-06-07 17:36:59 UTC
Created attachment 171166 [details]
proposed patch, v1

For tools that use bhyve (e.g.: libvirt) sometimes it's important to be able to probe what features are supported by the given bhyve binary, so a single version of the software could work properly with both older and newer bhyve and produce a meaningful error message if certain feature is not supported.

The attached patch allows to print a list of support PCI and LCP devices like this:



$ bhyve -s help
ahci-hd
ahci-cd
dummy
amd_hostbridge
hostbridge
lpc
passthru
virtio-blk
virtio-net
virtio-rnd
uart
$ bhyve -l help
bootrom
COM1
COM2
$

PS I'm wondering if COM1,2 should be lower case for consistency?
Comment 1 Marcelo Araujo freebsd_committer 2018-06-15 05:46:15 UTC
I'm interested in this patch! Thank you!
Comment 2 Marcelo Araujo freebsd_committer 2018-08-22 20:29:02 UTC
Committed at: https://svnweb.freebsd.org/changeset/base/338210


Thank you!
Comment 3 Mateusz Piotrowski freebsd_committer 2018-08-23 00:22:48 UTC
Do we need to update manual pages after this change?
Comment 4 Marcelo Araujo freebsd_committer 2018-08-23 04:26:56 UTC
(In reply to Mateusz Piotrowski from comment #3)
 Yes, we do need! I will do it today!

Thanks to point it out.
Comment 5 Marcelo Araujo freebsd_committer 2018-08-23 07:35:34 UTC
(In reply to Mateusz Piotrowski from comment #3)

Done at: https://svnweb.freebsd.org/changeset/base/338242